Difference between revisions of "LibreOffice (简体中文)"

From ArchWiki
Jump to navigation Jump to search
(最新版本不支持memory设置和quick start了)
 
(23 intermediate revisions by 5 users not shown)
Line 8: Line 8:
 
[[ja:LibreOffice]]
 
[[ja:LibreOffice]]
 
[[ru:LibreOffice]]
 
[[ru:LibreOffice]]
{{Translateme (简体中文)}}
+
{{translateme (简体中文)}}
 +
 
 
引自 [http://zh-cn.libreoffice.org/ 主页 - LibreOffice]:
 
引自 [http://zh-cn.libreoffice.org/ 主页 - LibreOffice]:
  
:''LibreOffice是一款功能强大且免费的开源办公软件,它同时支持Windows, Macintosh 和 Linux系统,为你提供六种针对文档编辑和数据处理需求的拥有丰富功能的应用:Writer, Calc, Impress, Draw, Math和Base。[http://www.libreoffice.org/get-help/ Support]和[http://www.libreoffice.org/get-help/documentation/ documentation]对于我们庞大的且忠实的的社区用户,贡献者和开发者是完全开放的。 [http://www.libreoffice.org/get-involved/ 还等什么,加入我们!]''
+
:''LibreOffice是一款功能强大且免费的开源办公软件,它同时支持Windows, Macintosh 和 Linux系统,为你提供六种针对文档编辑和数据处理需求的拥有丰富功能的应用:Writer, Calc, Impress, Draw, Math和Base。
 
 
== LibreOffice同Arch Linux的情缘 ==
 
 
 
对于[[OpenOffice.org]]的官方支持由LibreOffice所取代,它是该工程的 "Document Foundation"分支, 其中包含了对于一些功能的强化和额外的特征。 请参考 [https://mailman.archlinux.org/pipermail/arch-general/2011-March/018819.html Dropping Oracle OpenOffice (arch-general)].
 
  
 
==安装==
 
==安装==
Line 22: Line 19:
  
 
* {{Pkg|libreoffice-fresh}} 是一个feature分支,包含了对新的强化。
 
* {{Pkg|libreoffice-fresh}} 是一个feature分支,包含了对新的强化。
* {{Grp|libreoffice-still}} 是一个维护分支。
+
* {{Pkg|libreoffice-still}} 是一个维护分支。
  
 
{{注意|
 
{{注意|
* 安装过程中至少需要安装一种语言包。默认的语言为Afrikaans (这是因为它是提供的libreoffice语言包的字母排序首位)。如果你想使用UK-English语言包,请安装 {{Pkg|libreoffice-en-GB}}, 而不是{{Pkg|libreoffice-uk}} (Ukrainian)或者 {{Pkg|libreoffice-br}} (Breton)!
+
* 安装过程中至少需要安装一种语言包。默认的语言为Afrikaans (这是因为它是提供的libreoffice语言包的字母排序首位)。如果你想使用UK-English语言包,请安装 {{Pkg|libreoffice-fresh-en-gb}}或{{Pkg|libreoffice-still-en-gb}}, 而不是{{Pkg|libreoffice-fresh-uk}}{{Pkg|libreoffice-still-uk}} (Ukrainian)或者 {{Pkg|libreoffice-fresh-br}}{{Pkg|libreoffice-still-br}} (Breton)!
* {{Pkg|libreoffice-still-kde4}} {{Pkg|libreoffice-still-gnome}} 分别对应于 Qt 和 GTK+ 可视化工具。详见 [[#Theme|Theme]] 部分.
 
 
* 对于 SDK - 根据自己安装的libreoffice包的情况可以选择 {{Pkg|libreoffice-fresh-sdk}} 或 {{Pkg|libreoffice-still-sdk}}
 
* 对于 SDK - 根据自己安装的libreoffice包的情况可以选择 {{Pkg|libreoffice-fresh-sdk}} 或 {{Pkg|libreoffice-still-sdk}}
 
}}
 
}}
 +
* For Qt 和 GTK+ 可视化工具, 详见 [[#主题]].
  
 
检查一下pacman显示的可以选择安装的依赖包。Java Runtime Environment 并不是必须的除非你想要使用 Libreoffice Base: 详见[[Java]]。你可能需要{{AUR|hsqldb2-java}} 来使用 [https://wiki.documentfoundation.org/Base#Java_and_HSQLDB 一些模块] (在Libreoffice Base当中)。
 
检查一下pacman显示的可以选择安装的依赖包。Java Runtime Environment 并不是必须的除非你想要使用 Libreoffice Base: 详见[[Java]]。你可能需要{{AUR|hsqldb2-java}} 来使用 [https://wiki.documentfoundation.org/Base#Java_and_HSQLDB 一些模块] (在Libreoffice Base当中)。
  
 
==主题==
 
==主题==
对于 [[Qt]] 用户, 请安装 {{Pkg|libreoffice-still-kde4}}, 对于[[GTK+]] 请安装 {{Pkg|libreoffice-still-gnome}}。详情请参考 [[Uniform_Look_for_Qt_and_GTK_Applications]].
+
详情请参考 [[Uniform look for Qt and GTK applications]].
  
LibreOffice v3.5.x 工具包的库按照以下的顺序来检查:
+
LibreOffice 工具包的库按照以下的顺序来检查:
  
  gtk > kde4 > generic
+
  gtk3 > gtk > kde4 > generic
  
 
{{Merge|Uniform_Look_for_Qt_and_GTK_Applications|Looks related to not just libreoffice}}
 
{{Merge|Uniform_Look_for_Qt_and_GTK_Applications|Looks related to not just libreoffice}}
Line 49: Line 46:
 
将 {{ic|SAL_USE_VCLPLUGIN}} 变量保存到你的shell配置文件在日后将会非常方便, 比如{{ic|/etc/bash.bashrc}} 或者 {{ic|~/.bashrc}} 如果你使用的是Bash的话。
 
将 {{ic|SAL_USE_VCLPLUGIN}} 变量保存到你的shell配置文件在日后将会非常方便, 比如{{ic|/etc/bash.bashrc}} 或者 {{ic|~/.bashrc}} 如果你使用的是Bash的话。
  
{{注意|新的 GTK3 UI 尚处于试验阶段,只有你在LibreOffice 的主配置栏中将"experimental features"启动之后才会生效。}}
+
{{注意|新的 GTK3 UI 在 LibreOffice 5.x 中已被默认使用。}}
 
然而, 如果它看上去使用的是 Windows 95/98的按钮,请到菜单中的''Tools -> Options...''  (将会出现一个选项的窗口), 接着选择''LibreOffice > Accessibility''并且去掉 "Automatically detect high-contrast mode of operating system"前的对勾。
 
然而, 如果它看上去使用的是 Windows 95/98的按钮,请到菜单中的''Tools -> Options...''  (将会出现一个选项的窗口), 接着选择''LibreOffice > Accessibility''并且去掉 "Automatically detect high-contrast mode of operating system"前的对勾。
  
Line 70: Line 67:
 
以下插件可以通过 [[official repositories]] 获得:
 
以下插件可以通过 [[official repositories]] 获得:
  
*{{Pkg|libreoffice-still-extension-nlpsolver}}
+
*{{Pkg|libreoffice-extension-texmaths}}
*{{Pkg|libreoffice-still-extension-wiki-publisher}}
+
*{{Pkg|libreoffice-extension-writer2latex}}
  
 
对于更多插件, 可以查看 [[AUR]], 内置的 LibreOffice 扩展插件管理, 或者访问 [http://libreplanet.org/wiki/Group:OpenOfficeExtensions/List libreplanet].
 
对于更多插件, 可以查看 [[AUR]], 内置的 LibreOffice 扩展插件管理, 或者访问 [http://libreplanet.org/wiki/Group:OpenOfficeExtensions/List libreplanet].
Line 78: Line 75:
 
===拼写检查===
 
===拼写检查===
  
为了开启拼写检查,你需要安装 {{Pkg|hunspell}} 和与语言对应hunspell词典,比如说 英语的{{Pkg|hunspell-en}},德语的{{Pkg|hunspell-de}}等等。
+
为了开启拼写检查,你需要安装 {{Pkg|hunspell}} 和与语言对应hunspell词典,比如说 英语的{{Pkg|hunspell-en}}{{Broken package link|replaced by {{Pkg|hunspell-en_AU}}}},德语的{{Pkg|hunspell-de}}等等。
  
 
===断词换行规则===
 
===断词换行规则===
Line 85: Line 82:
  
 
===词库===
 
===词库===
对于词库选项, 你需要 {{Pkg|libmythes}} 和一个 mythes 语言词库 (比如 {{Pkg|mythes-en}} 对于英语来说, {{Pkg|mythes-de}} 对于德语而言, 等等)).
+
对于词库选项, 你需要 {{Pkg|libmythes}} 和一个 mythes 语言词库 (比如英语的 {{Pkg|mythes-en}} , 德语的 {{Pkg|mythes-de}} , 等等)).
  
 
===语法检查===
 
===语法检查===
Line 98: Line 95:
 
=== 芬兰语拼写检查 ===
 
=== 芬兰语拼写检查 ===
  
For Finnish users, there are four packages to be installed. Install them in this order: {{AUR|malaga}}, {{AUR|suomi-malaga-voikko}}, {{AUR|libvoikko}} and {{AUR|voikko-libreoffice}}.
+
对于芬兰的用户, 这里有四个包需要安装。按照如下顺序进行安装 {{AUR|malaga}}, {{AUR|suomi-malaga-voikko}}{{Broken package link|{{aur-mirror|suomi-malaga-voikko}}}}, {{Pkg|libvoikko}} {{AUR|voikko-libreoffice}}.
  
 
=== 对于en-US的离线帮助 ===
 
=== 对于en-US的离线帮助 ===
  
The US English packages in the official repositories do not include the offline help files. Users who desire offline help for en-US can install the {{AUR|libreoffice-still-en-us-help}} or {{AUR|libreoffice-fresh-en-us-help}} packages from the [[AUR]].
+
官方源中的 US English 包并不包含历险的帮助文件。需要 en-US 帮助文件的用户可以安装 {{AUR|libreoffice-still-en-us-help}}{{Broken package link|{{aur-mirror|libreoffice-still-en-us-help}}}} 或者 {{AUR|libreoffice-fresh-en-us-help}}{{Broken package link|{{aur-mirror|libreoffice-fresh-en-us-help}}}} ,参照 [[AUR]]中的包。
  
 
==宏的安装==
 
==宏的安装==
Line 111: Line 108:
  
 
如果你想要使用宏另一件需要注意的事情是, 你必须有一个生效的JRE, 对于 JRE 的使用是默认的; 但是对于下面关于 LibreOffice 优化的技巧,列出来了如果将JRE使用禁止的方法。
 
如果你想要使用宏另一件需要注意的事情是, 你必须有一个生效的JRE, 对于 JRE 的使用是默认的; 但是对于下面关于 LibreOffice 优化的技巧,列出来了如果将JRE使用禁止的方法。
 
==LibreOffice的优化==
 
一些设置可以提升LibreOffice的读取时间和相应速度,但相对应地也可能增加内存的使用量,所以请小心使用。这些设置能在 ''工具 > 选项'' 下找到。
 
*在 ''内存'' 选项卡下:
 
**把可撤销部数减少到 100 一下, 20 到 30 步左右是个不错的选择。
 
**在 ''图形缓冲区'' 中, 把 用于 LibreOffice增加到 128 MB (默认值为 20MB)。
 
**把 ''每个对象的内存'' 增加到 20MB (默认值为 5MB)。
 
**If you use LibreOffice often, check LibreOffice Quickstarter.
 
*在 ''Java'' 选项卡下, 取消选中 ''使用Java运行环境''。
 
{{Note|For a list of functionality which depends on OpenOffice Java support, see this page: http://wiki.services.openoffice.org/wiki/Java - Still needed?}}
 
  
 
==疑难问题的解决==
 
==疑难问题的解决==
  
 
=== 更改字体 ===
 
=== 更改字体 ===
字体可以在LibreOffice的选项里更改。在下拉菜单中,选中 Tools > Options > LibreOffice > Fonts 。选中 Apply Replacement Table。在字体框输入 Andale Sans UI 并对于替换选项选择你喜欢的字体。选好后,点击右侧的对勾。然后根据需要在下面的框中选择''自动''或者''只显示屏幕''。选择 OK 。 此外还需要进入 Tools > Options > LibreOffice > View, 取消选中 "Use system font for user interface"。如果你的字体不支持抗锯齿,比如 Arial 字体,你还需要取消选中 "Screen font antialiasing" 。
+
字体可以在LibreOffice的选项里更改。在下拉菜单中,选中 工具 > 选项 > LibreOffice > 字体 。选中 “使用替换表”。在字体框输入 Andale Sans UI 并对于替换选项选择你喜欢的字体。选好后,点击右侧的对勾。然后根据需要在下面的框中选择''自动''或者''只显示屏幕''。选择 OK 。 此外还需要进入 工具 > 选项 > LibreOffice > 视图, 取消选中 "用户界面使用系统字体"。如果你的字体不支持抗锯齿,比如 Arial 字体,你还需要取消选中 "屏幕字体抗锯齿" 。
  
 
=== 抗锯齿 ===
 
=== 抗锯齿 ===
Line 178: Line 165:
 
=== 参考书目的问题 ===
 
=== 参考书目的问题 ===
  
如果 Writer 在打开 ''Tools > Bibliography Database'' 时崩掉, 且出现了以下提示语句:
+
如果 Writer 在打开 ''工具 > 文献数据库'' 时崩掉, 且出现了以下提示语句:
 
  com::sun::star::loader::CannotActivateFactoryException
 
  com::sun::star::loader::CannotActivateFactoryException
请安装 {{Pkg|libreoffice-base}} ,这是对于一个已知bug的解决办法,请参照 [http://cgit.freedesktop.org/libreoffice/core/commit/?id=1889c1af41650576a29c587a0b2cdeaf0d297587 解决].
+
请安装 {{Pkg|libreoffice-base}}{{Broken package link|package not found}} ,这是对于一个已知bug的解决办法,请参照 [http://cgit.freedesktop.org/libreoffice/core/commit/?id=1889c1af41650576a29c587a0b2cdeaf0d297587 解决].
  
 
=== 多媒体支持 ===
 
=== 多媒体支持 ===
  
如果插入的videos仅仅显示为灰色的框,请首先确认你是否已经安装了必须的 [[GStreamer#Current version plugins|GStreamer plugins]]。
+
如果插入的videos仅仅显示为灰色的框,请首先确认你是否已经安装了必须的 [[GStreamer#Current version plugins|GStreamer plugins]]{{Broken section link}}
  
 
=== 在 Xfwm4 下内容未按照窗口改变自身大小 ===
 
=== 在 Xfwm4 下内容未按照窗口改变自身大小 ===
  
如果在 Xfce (或者仅仅使用 Xfwm4) 时你在 LibreOffice 窗口下的内容并未随着窗口变化而改变大小,就类似在这个帖子里描述的: [https://bbs.archlinux.org/viewtopic.php?id=133137]。请安装 {{Pkg|libreoffice-still-gnome}} 来解决这个问题。
+
如果在 Xfce (或者仅仅使用 Xfwm4) 时你在 LibreOffice 窗口下的内容并未随着窗口变化而改变大小,就类似在这个帖子里描述的: [https://bbs.archlinux.org/viewtopic.php?id=133137]。请安装 {{Pkg|libreoffice-still-gnome}}{{Broken package link|package not found}} 来解决这个问题。
  
 
=== gvfs 映射 ===
 
=== gvfs 映射 ===
  
如果你需要在 gvfs 映射下打开/保存文档,你需要安装 {{Pkg|libreoffice-still-gnome}} .
+
如果你需要在 gvfs 映射下打开/保存文档,你需要安装 {{Pkg|libreoffice-still-gnome}}{{Broken package link|package not found}} .

Latest revision as of 18:58, 5 December 2018

Tango-preferences-desktop-locale.png本页面需要更新翻译,内容可能已经与英文脱节。要贡献翻译,请访问简体中文翻译组Tango-preferences-desktop-locale.png

附注: please use the first argument of the template to provide more detailed indications.

引自 主页 - LibreOffice:

LibreOffice是一款功能强大且免费的开源办公软件,它同时支持Windows, Macintosh 和 Linux系统,为你提供六种针对文档编辑和数据处理需求的拥有丰富功能的应用:Writer, Calc, Impress, Draw, Math和Base。

安装

Install 以下 official repositories的其中之一:

注意:
  • For Qt 和 GTK+ 可视化工具, 详见 #主题.

检查一下pacman显示的可以选择安装的依赖包。Java Runtime Environment 并不是必须的除非你想要使用 Libreoffice Base: 详见Java。你可能需要hsqldb2-javaAUR 来使用 一些模块 (在Libreoffice Base当中)。

主题

详情请参考 Uniform look for Qt and GTK applications.

LibreOffice 工具包的库按照以下的顺序来检查:

gtk3 > gtk > kde4 > generic

Merge-arrows-2.pngThis article or section is a candidate for merging with Uniform_Look_for_Qt_and_GTK_Applications.Merge-arrows-2.png

Notes: Looks related to not just libreoffice (Discuss in Talk:LibreOffice (简体中文)#)

强制使用某种 VCL UI 接口可以使用以下的一种:

SAL_USE_VCLPLUGIN=gen lowriter
SAL_USE_VCLPLUGIN=kde4 lowriter
SAL_USE_VCLPLUGIN=gtk lowriter
SAL_USE_VCLPLUGIN=gtk3 lowriter

SAL_USE_VCLPLUGIN 变量保存到你的shell配置文件在日后将会非常方便, 比如/etc/bash.bashrc 或者 ~/.bashrc 如果你使用的是Bash的话。

注意: 新的 GTK3 UI 在 LibreOffice 5.x 中已被默认使用。

然而, 如果它看上去使用的是 Windows 95/98的按钮,请到菜单中的Tools -> Options... (将会出现一个选项的窗口), 接着选择LibreOffice > Accessibility并且去掉 "Automatically detect high-contrast mode of operating system"前的对勾。

如果这样做之后并没有立即生效, 你可能需要改变以下正在使用的按钮的设置;它同样是在 Options 选项窗口, 在LibreOffice > View下有两个 "Icon size and style" 的可弹出选项(下面的那个弹出口需要被设置为除了 "High-contrast" 以外的任何一种选项).

Firefox 主题

LibreOffice 4.x 系列支持使用 Firefox 主题. 进入 LibreOffice options 并选择 Personalization > Select Theme, 接着粘贴你最喜欢的那款主题的URL到下面的框里。一个在对话框里的人性化的按钮将允许你打开你的浏览器进行选择浏览。

主题可以在Mozilla主题库中进行浏览。

如果你希望开启libreoffice时启动logo不再出现, 可以打开 /etc/libreoffice/sofficerc, 找到Logo= 那一行并且设置 Logo=0.

注意: 这个变量和logo的脚本支持没有什么关系。

管理扩展

以下插件可以通过 official repositories 获得:

对于更多插件, 可以查看 AUR, 内置的 LibreOffice 扩展插件管理, 或者访问 libreplanet.

语言帮助

拼写检查

为了开启拼写检查,你需要安装 hunspell 和与语言对应hunspell词典,比如说 英语的hunspell-en[broken link: replaced by hunspell-en_AU],德语的hunspell-de等等。

断词换行规则

为了开启换行规则,你需要安装 hyphen 和与语言对应hyphen规则,比如说 英语的hyphen-en,德语的hyphen-de等等。

词库

对于词库选项, 你需要 libmythes 和一个 mythes 语言词库 (比如英语的 mythes-en , 德语的 mythes-de , 等等)).

语法检查

为了开启语法检查,你需要安装一个扩展,比如 LanguageTool,可以在AUR: libreoffice-extension-languagetoolAUR 找到 或者 LanguageTool Website

其它的语法工具可以在这里 LibreOffice Extension Page 或者这里 OpenOffice's Website找到。 不确保所有的OpenOffice扩展都能在LibreOffice下正常工作。

注意: Languagetool 使用java并且可能会是LibreOffice短暂地失去响应,特别是在打开文件的时候。幸运的是,这种情况只在LibreOffice首次启动时才有。 LanguageTool在Openjdk6下的表现比在openjdk7下要好,尽管这个问题并没有被确认。

芬兰语拼写检查

对于芬兰的用户, 这里有四个包需要安装。按照如下顺序进行安装 malagaAUR, suomi-malaga-voikkoAUR[broken link: archived in aur-mirror], libvoikkovoikko-libreofficeAUR.

对于en-US的离线帮助

官方源中的 US English 包并不包含历险的帮助文件。需要 en-US 帮助文件的用户可以安装 libreoffice-still-en-us-helpAUR[broken link: archived in aur-mirror] 或者 libreoffice-fresh-en-us-helpAUR[broken link: archived in aur-mirror] ,参照 AUR中的包。

宏的安装

在绝大多数Linux发行版中,宏的默认路径位于:

~/.openoffice.org/3/user/Scripts/

那么对于 Arch Linux 而言,LibreOffice 的这个目录的路径位于:

~/.config/.libreoffice/3/user/Scripts/

如果你想要使用宏另一件需要注意的事情是, 你必须有一个生效的JRE, 对于 JRE 的使用是默认的; 但是对于下面关于 LibreOffice 优化的技巧,列出来了如果将JRE使用禁止的方法。

疑难问题的解决

更改字体

字体可以在LibreOffice的选项里更改。在下拉菜单中,选中 工具 > 选项 > LibreOffice > 字体 。选中 “使用替换表”。在字体框输入 Andale Sans UI 并对于替换选项选择你喜欢的字体。选好后,点击右侧的对勾。然后根据需要在下面的框中选择自动或者只显示屏幕。选择 OK 。 此外还需要进入 工具 > 选项 > LibreOffice > 视图, 取消选中 "用户界面使用系统字体"。如果你的字体不支持抗锯齿,比如 Arial 字体,你还需要取消选中 "屏幕字体抗锯齿" 。

抗锯齿

执行

$ echo "Xft.lcdfilter: lcddefault" | xrdb -merge

如需使其永久生效,请添加 Xft.lcdfilter: lcddefault 到你的 ~/.Xresources 文件,并且确保执行 xrdb -merge ~/.Xresources[1]. 更多信息请查看 X resources

如果这样不起作用的话,你也可以尝试添加 Xft.lcdfilter: lcddefault 到你的 ~/.Xdefaults 文件。如果文件不存在请创建一个。

使用NFSv3共享时突然停止运行

如果在你试图打开或者保存一个位于NFSv3共享的文档的时候 LibreOffice 停止运行,试着在以 # 开头在 /usr/lib/libreoffice/program/soffice 中添加以下几行:

# file locking now enabled by default
SAL_ENABLE_FILE_LOCKING=1
export SAL_ENABLE_FILE_LOCKING

为了避免覆盖更新你可以将 /usr/lib/libreoffice/program/soffice 复制到 /usr/local/bin. 原始链接为 点击这里.

对Java framework错误的修正

当你试图运行Libreoffice时可能会出现以下错误。

[Java framework] Error in function createSettingsDocument (elements.cxx).
javaldx failed!

如果是这样的话, 将你的权限赋像这样给 ~/.config/ :

# chown -vR username:users ~/.config

参照 Arch Linux forums 上的这篇帖子.

LibreOffice无法检测到你的证书

如果在你为一个文档签名的时候无法查看证书, 你需要取得在 Mozilla Firefox (或者 Thunderbird) 中配置的证书。如果在这之后 LibreOffice 仍然无法显示证书, 设置 MOZILLA_CERTIFICATE_FOLDER 环境变量指向你的 Mozilla Firefox (或者 Thunderbird) 文件夹:

export MOZILLA_CERTIFICATE_FOLDER=$HOME/.mozilla/firefox/XXXXXX.default/

证书检测.

在编辑模式下运行 .pps 文件(没有幻灯片)

针对此问题的唯一解决办法就是 将.pps 文件重命名为 .ppt.

添加以下脚本到你的home目录并且使用它来打开每一个 .pps 文件。 对于通过 email 接收到的 .pps 文件,在仅仅需要打开而无需保存时是非常有用的。

#!/bin/bash

f=$(mktemp)
cp "$1" "${f}.ppt" && libreoffice "${f}.ppt" && rm -f "${f}.ppt"

参考书目的问题

如果 Writer 在打开 工具 > 文献数据库 时崩掉, 且出现了以下提示语句:

com::sun::star::loader::CannotActivateFactoryException

请安装 libreoffice-base[broken link: package not found] ,这是对于一个已知bug的解决办法,请参照 解决.

多媒体支持

如果插入的videos仅仅显示为灰色的框,请首先确认你是否已经安装了必须的 GStreamer plugins[broken link: invalid section]

在 Xfwm4 下内容未按照窗口改变自身大小

如果在 Xfce (或者仅仅使用 Xfwm4) 时你在 LibreOffice 窗口下的内容并未随着窗口变化而改变大小,就类似在这个帖子里描述的: [2]。请安装 libreoffice-still-gnome[broken link: package not found] 来解决这个问题。

gvfs 映射

如果你需要在 gvfs 映射下打开/保存文档,你需要安装 libreoffice-still-gnome[broken link: package not found] .